๐งช List HOS Violation Summaries
Return one summary row per driver with at least one HOS violation in the requested time window.
This endpoint is available for early access. The core schema is stable, but minor details โ such as field names or added fields โ may change before it becomes generally available. Backward compatibility is not guaranteed.
See API Stability & Versioning for details on provisional endpoints.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
100Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
100Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).
100Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days
"2026-06-25T14:45:35.208738Z"
Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days
"2026-06-26T14:45:35.208845Z"
Cursor for the next page
Page size
1 <= x <= 1000Response
Successful Response
x >= 0Cursor to refetch the current page
Cursor to refetch the current page starting from the last item
Cursor for the previous page
Cursor for the next page